Assignee: Alexia Mondot

Category: Processing/Core

Pull Request or Patch supplied: Resolution: up/downstream
Easy fix?: No Copied to github as #: 22527
Description

OTB application command line is rebuild when the algorithm is run.
It could be easier if the OTB XML descriptors contained the template of the arguments.
The post processing would be to complete the template with the user arguments.
Todo:
- Add a node cli_args_template to the root of each xml descriptor file
- The value of this node is the list of all arguments with a formatable value. All known parameters are already written in the template.
ex: -inp {inp} -inxs {inxs} -out {out} -method bayes -method.bayes.lambda {method.bayes.lambda} -method.bayes.s
{method.bayes.s} -ram 512
- Adapt the processAlgorithm function to use the arguments template

History

#1 - 2016-03-26 01:52 AM - Jiirgen Fischer

- Subject changed from [Processing/OTB/descriptors XML] Template for application arguments to template for application arguments

#2 - 2017-05-01 12:46 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2017-05-01 10:55 AM - Giovanni Manghi

A few providers are being removed from QGIS3 (they will be available as plugins), so the respective categories are also being removed from the bug
tracker. Where necessary the tickets will be reassigned to "processing/core" to not leave them orphaned of category.

#4 - 2017-05-01 11:04 AM - Giovanni Manghi

Some providers are being removed from QGIS/Processing (will be available as plugin) and so are their categories in the bug tracker. To not leave them
orphaned of a category they are being reassigned to processing/core.

#5 - 2017-05-01 11:06 AM - Giovanni Manghi

- Category changed from 120 to Processing/Core

#6 - 2017-05-03 07:09 PM - Alexander Bruy

- Resolution set to up/downstream

- Description updated

- Status changed from Open to Rejected

Moved to plugin bugtracker https:/github.com/volaya/qgis-otb-plugin/issues/6
